package com.ruoyi.ss.menu.mapper;

import java.util.List;

import com.ruoyi.ss.menu.domain.Menu;
import com.ruoyi.ss.menu.domain.MenuQuery;
import com.ruoyi.ss.menu.domain.MenuVO;
import org.apache.ibatis.annotations.Param;

/**
 * 前端菜单Mapper接口
 *
 * @author qzz
 * @date 2025-01-16
 */
public interface MenuMapper
{
    /**
     * 查询前端菜单
     *
     * @param menuId 前端菜单主键
     * @return 前端菜单
     */
    public MenuVO selectSsMenuByMenuId(Long menuId);

    /**
     * 查询前端菜单列表
     *
     * @param query 前端菜单
     * @return 前端菜单集合
     */
    public List<MenuVO> selectSsMenuList(@Param("query") MenuQuery query);


    /**
     * 根据用户角色查询所有菜单
     *
     * @param role 角色
     * @return 前端菜单
     */
    List<MenuVO> selectEtMenuListByRole(String role);

    /**
     * 新增前端菜单
     *
     * @param ssMenu 前端菜单
     * @return 结果
     */
    public int insertSsMenu(Menu ssMenu);

    /**
     * 修改前端菜单
     *
     * @param ssMenu 前端菜单
     * @return 结果
     */
    public int updateSsMenu(@Param("data") Menu ssMenu);

    /**
     * 删除前端菜单
     *
     * @param menuId 前端菜单主键
     * @return 结果
     */
    public int deleteSsMenuByMenuId(Long menuId);

    /**
     * 批量删除前端菜单
     *
     * @param menuIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSsMenuByMenuIds(Long[] menuIds);
}
